[SRU] plug headset won't proper reconfig ouput to it on machine with default output

Bug #1882248 reported by Yuan-Chen Cheng on 2020-06-05
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
HWE Next
Undecided
Unassigned
OEM Priority Project
Critical
Yuan-Chen Cheng
linux-oem (Ubuntu)
Bionic
Undecided
Unassigned
pulseaudio (Ubuntu)
High
Hui Wang
Bionic
High
Hui Wang

Bug Description

This is for pulseaudio bionic:

[Impact]
On a Dell machine without internal spk and internal mic, after freshly
install the bionic on it, the active profile is Off, after users plug a
headset to it and users select the headset from the pop-up dialogue,
users expect the profile changes to analog-stereo (headset is on it),
but the active_profile is still Off.

[Fix]
Upstream already has a patch to fix it, cherrypiack that patch to bionic.
And that patch is already in the eoan, focal, ...

[Test Case]
freshly install the bionic with this patch on that dell machine,
plug headset and select the headset from UI, the profile changes to
analog-stereo, and play some sound, we could hear it from the headset

[Regression Risk]
Low, this patch is already in the upstream for a long time, and it is
already in the eoan and focal.

For linux kernel (oem-b):

[Impact]
On a Dell machine without internal spk and internal mic, after freshly
install the bionic on it, and users plug a headset, the sound couldn't
output from headset.

[Fix]
reverse the order of headset mic and headphone mic

[Test Case]
freshly install the bionic with this patch on that dell machine,
plug headset and play sound, we could hear the sound from headset.

[Regression Risk]
Low, this patch only affects the machine without internal mic and
internal spk, and I already tested this patch on the machine without
internal mic and internal spk, it worked well.

target machine does not have built-in speaker, and the monitor does not have an audio output (like d-sub VGA)

As first boot, there will be a "dummy output" in g-c-c.

After plug-in headset, there will be a headset appear in g-c-c, but it won't be automatically selected even it's chosen in the pop-up window.

CVE References

information type: Proprietary → Public
no longer affects: pulseaudio
tags: added: bionic
tags: added: originate-1881842
tags: added: somerville
Changed in oem-priority:
importance: High → Critical
Hui Wang (hui.wang) on 2020-07-03
no longer affects: oem-priority/bionic
Changed in linux (Ubuntu):
assignee: nobody → Hui Wang (hui.wang)
Hui Wang (hui.wang) on 2020-07-03
tags: added: originate-from-1881842

This bug is missing log files that will aid in diagnosing the problem. While running an Ubuntu kernel (not a mainline or third-party kernel) please enter the following command in a terminal window:

apport-collect 1882248

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete
Changed in linux (Ubuntu Bionic):
status: New → Incomplete
Hui Wang (hui.wang) on 2020-07-03
description: updated
no longer affects: linux (Ubuntu)
no longer affects: linux (Ubuntu Bionic)
no longer affects: pulseaudio (Ubuntu Bionic)
Changed in linux-oem (Ubuntu):
assignee: nobody → Hui Wang (hui.wang)
AceLan Kao (acelankao) on 2020-07-03
Changed in linux-oem (Ubuntu Bionic):
status: New → Fix Committed

@Hui, since there is a pulseaudio targetted entry there I'm assigning that to you, feel free to close as invalid if only the kernel needs fixing

Changed in pulseaudio (Ubuntu):
assignee: nobody → Hui Wang (hui.wang)
Changed in pulseaudio (Ubuntu Bionic):
assignee: nobody → Hui Wang (hui.wang)
Hui Wang (hui.wang) wrote :

@Seb, Ok, got it, this bug needs both kernel fix and pulseaudio fix, SRU the kernel fix first, then the fix of pulseaudio.

Hui Wang (hui.wang) on 2020-07-09
Changed in pulseaudio (Ubuntu Bionic):
importance: Undecided → Critical
Hui Wang (hui.wang) wrote :

This is the debdiff for pulseaudio bionic. And because the patch is already in the eoan, focal,..., only bionic need this patch.

Hui Wang (hui.wang) on 2020-07-09
description: updated
summary: - plug headset won't proper reconfig ouput to it on machine with default
- output
+ [SRU] plug headset won't proper reconfig ouput to it on machine with
+ default output
Sebastien Bacher (seb128) wrote :

@Hui, thanks, I uploaded to the bionic SRU queue now

One comment, the bottom entry of the changelog (the line with the name of the uploader) has an extra trailing space, in git and in the debdiff, which screws dpkg parsing utilities. Another of your changes this week has the problem, could you check if there something buggy on your side that leads to those problems?

Changed in pulseaudio (Ubuntu):
status: New → Fix Released
importance: Undecided → High
Changed in pulseaudio (Ubuntu Bionic):
importance: Critical → High
status: New → Fix Committed
Hui Wang (hui.wang) wrote :

Oh, got it, I put 2 whitespace before the email line. Will put 1 in the future.

Thanks.

Sebastien Bacher (seb128) wrote :

@Hui, how do you create those entries? You shouldn't have to deal with the spacing if you use e.g 'dch -i' to update the changelog

Hui Wang (hui.wang) wrote :

I use 'dch -i' and choose emacs as the editor, after open the changelog, the emacs is in the c-language mode. If I press enter to start a new line, the emacs will automatically change the whitespace to the "TAB", then I need to manually change the "TAB" back to whitespace, but I thought there are 2 whitespace before email line. So the main root cause is my emacs's configuration is not correct, and the 2nd cause is I thought there are 2 whitespace.

Sebastien Bacher (seb128) wrote :

Ah, I see, it makes sense now, thanks for the explanation!

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-oem - 4.15.0-1093.103

---------------
linux-oem (4.15.0-1093.103) bionic; urgency=medium

  * bionic/linux-oem: 4.15.0-1093.103 -proposed tracker (LP: #1887026)

  * [SRU] plug headset won't proper reconfig ouput to it on machine with default
    output (LP: #1882248)
    - SAUCE: ALSA: hda - let hs_mic be picked ahead of hp_mic

  * Freezing on boot since kernel 4.15.0-72-generic release (LP: #1856387)
    - x86/timer: Don't skip PIT setup when APIC is disabled or in legacy mode

  [ Ubuntu: 4.15.0-112.113 ]

  * bionic/linux: 4.15.0-112.113 -proposed tracker (LP: #1887048)
  * Packaging resync (LP: #1786013)
    - update dkms package versions
  * CVE-2020-11935
    - SAUCE: aufs: do not call i_readcount_inc()
    - SAUCE: aufs: bugfix, IMA i_readcount
  * CVE-2020-10757
    - mm: Fix mremap not considering huge pmd devmap
  * Update lockdown patches (LP: #1884159)
    - efi/efi_test: Lock down /dev/efi_test and require CAP_SYS_ADMIN
    - efi: Restrict efivar_ssdt_load when the kernel is locked down
    - powerpc/xmon: add read-only mode
    - powerpc/xmon: Restrict when kernel is locked down
    - [Config] CONFIG_XMON_DEFAULT_RO_MODE=y
    - SAUCE: acpi: disallow loading configfs acpi tables when locked down
  * seccomp_bpf fails on powerpc (LP: #1885757)
    - SAUCE: selftests/seccomp: fix ptrace tests on powerpc
  * Introduce the new NVIDIA 418-server and 440-server series, and update the
    current NVIDIA drivers (LP: #1881137)
    - [packaging] add signed modules for the 418-server and the 440-server
      flavours

  [ Ubuntu: 4.15.0-111.112 ]

  * bionic/linux: 4.15.0-111.112 -proposed tracker (LP: #1886999)
  * Bionic update: upstream stable patchset 2020-05-07 (LP: #1877461)
    - SAUCE: mlxsw: Add missmerged ERR_PTR hunk
  * linux 4.15.0-109-generic network DoS regression vs -108 (LP: #1886668)
    - SAUCE: Revert "netprio_cgroup: Fix unlimited memory leak of v2 cgroups"

 -- Kelsey Skunberg <email address hidden> Tue, 14 Jul 2020 12:21:34 -0600

Changed in linux-oem (Ubuntu Bionic):
status: Fix Committed → Fix Released
Hui Wang (hui.wang) wrote :

@Seb, for the pulseaudio bionic, I remember you already pushed a build for this SRU to the queue, so @foundation team, could you please build it since our oem project is waiting for this fix.

thx.

Hello Yuan-Chen, or anyone else affected,

Accepted pulseaudio into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/pulseaudio/1:11.1-1ubuntu7.10 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

tags: added: verification-needed verification-needed-bionic
Hui Wang (hui.wang) wrote :

Enable the -proposed channel on a bionic machine without internal speaker

sudo apt-get update
sudo apt install pulseaudio

the version 1:11.1-1ubuntu7.10 is installed to the machine.

plug a headphone, and select the headset from the popup dialogue, the output device changes to headphone successfully and the sound could output from headphone.

it fixes this issue.

Verified done.

tags: added: verification-done verification-done-bionic
removed: verification-needed verification-needed-bionic
Yuan-Chen Cheng (ycheng-twn) wrote :

Manually download pulseaduio 1:11.1-1ubuntu7.10 and kernel 4.15.0-1093-oem into
oem bionic image tested on the target that previously can reproduce this issue.

In first boot, plug-in headset, and pop-up windows is properly display.
After select headset, the output is correctly selected, and use the test in
gnome-control-center it can properly output left/right audio.

So I verified passed.

Changed in oem-priority:
status: Confirmed → Fix Committed

All autopkgtests for the newly accepted pulseaudio (1:11.1-1ubuntu7.10) for bionic have finished running.
The following regressions have been reported in tests triggered by the package:

ffmpeg/7:3.4.8-0ubuntu0.2 (arm64, i386, s390x, ppc64el, armhf, amd64)

Please visit the excuses page listed below and investigate the failures, proceeding afterwards as per the StableReleaseUpdates policy regarding autopkgtest regressions [1].

https://people.canonical.com/~ubuntu-archive/proposed-migration/bionic/update_excuses.html#pulseaudio

[1] https://wiki.ubuntu.com/StableReleaseUpdates#Autopkgtest_Regressions

Thank you!

Mathew Hodson (mhodson) on 2020-08-02
no longer affects: linux-oem (Ubuntu)
tags: removed: originate-1881842
Yuan-Chen Cheng (ycheng-twn) wrote :

the autopkgtests failed at "autopkgtest for ffmpeg/7:3.4.8-0ubuntu0.2"
search for: "FAILED: avi;v=zmbv; streamcopy return code: 1"

Yuan-Chen Cheng (ycheng-twn) wrote :

on a bionic machine that's fully upgraded (proposed channel is off)
The pulseaudio is still the previous version as [1].
I manually run the test, also get the same failure.

The steps to run it is:
1. apt-get install ffmpeg # 7:3.4.8-0ubuntu0.2
2. apt-get source ffmpeg ; cd ffmpeg-3.4.8/debian/tests
3. mkdir tmp ; export ADTTMP=`pwd`/tmp
4. ./encdec

It also have 1 failure:

  failures: 1
  avi;v=zmbv; streamcopy return code: 1

Given above result, I believe ffmpeg have a failed test case in the first place,
and it's not caused by this SRU.

[1]
ii libpulse-mainloop-glib0:amd64 1:11.1-1ubuntu7.9 amd64 PulseAudio client libraries (glib support)
ii libpulse0:amd64 1:11.1-1ubuntu7.9 amd64 PulseAudio client libraries
ii libpulsedsp:amd64 1:11.1-1ubuntu7.9 amd64 PulseAudio OSS pre-load library
ii pulseaudio 1:11.1-1ubuntu7.9 amd64 PulseAudio sound server
ii pulseaudio-module-bluetooth 1:11.1-1ubuntu7.9 amd64 Bluetooth module for PulseAudio sound server
ii pulseaudio-utils 1:11.1-1ubuntu7.9 amd64 Command line tools for the PulseAudio sound server

Yuan-Chen Cheng (ycheng-twn) wrote :

per https://autopkgtest.ubuntu.com/packages/ffmpeg/bionic/amd64

1. ffmpeg 7:3.4.8-0ubuntu0.2 never passed autopkgtest before.
2. ffmpeg autopkgtest also been triggered by vim and failed at the same place.

above result is consistent with the fact that it's a regression by itself.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package pulseaudio - 1:11.1-1ubuntu7.10

---------------
pulseaudio (1:11.1-1ubuntu7.10) bionic; urgency=medium

  * d/p/0903-device-port-switch-on-port-available-fix-automatic-p.patch
  * (LP: #1882248)

 -- Hui Wang <email address hidden> Thu, 09 Jul 2020 16:03:25 +0800

Changed in pulseaudio (Ubuntu Bionic):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for pulseaudio has completed successfully and the package is now being released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Changed in oem-priority:
status: Fix Committed → Fix Released
Changed in hwe-next:
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers